/* SoundMax Integrated Digital Audio MMPM/2 driver CID install REXX script */
Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs

say 'CID Install for the SoundMax Integrated Digital Audio MMPM/2 drivers'
say 'Copyright 1999-2002 Analog Devices Inc.'

os2bootPath = SysSearchPath('PATH', 'os2boot')
if os2bootpath \= ''
then bootDrive = filespec('drive', os2bootPath)
else
do
  say "Can't find boot drive! Aborting..."
  exit 1
end

/* remove driver files from system */
mmpmdir = bootDrive || '\MMOS2\'
rc = SysFileDelete(mmpmdir'ichsnd.sys')
rc = SysFileDelete(mmpmdir'ichvdd.sys')
rc = SysFileDelete(mmpmdir'wmixloc.dll')

/* copy installation files to bootdrive:\MMTEMP */
targetdir = bootDrive || '\MMTEMP'
mmpmtargetdir = bootDrive || '\\MMTEMP'
rc = SysMkDir(targetdir)
copy '*.* ' || targetdir

/* create custom cid response file */
targetrsp = targetdir || '\cidinst.rsp'
rc = lineout(targetrsp, '/* Response file generated by MMPM/2 Install */',1)
rc = lineout(targetrsp, '')
rc = lineout(targetrsp, 'MMINSTSOURCE = "' || mmpmtargetdir || '"')
rc = lineout(targetrsp, 'MMINSTTARGET = "' || bootDrive || '"')
rc = lineout(targetrsp, 'CHANGECONFIG = "Y"')
rc = lineout(targetrsp, '')
rc = lineout(targetrsp, 'MMINSTGROUPS =')
rc = lineout(targetrsp, '   (')
rc = lineout(targetrsp, '   GROUP.17 = "SoundMax Integrated Digital Wave Audio=NUM=1,"')
rc = lineout(targetrsp, '   )')
rc = lineout(targetrsp)

Say 'Starting minstall...'
minstall ' /R:'||targetrsp '/L:cidinst.log'

Say 'Installing WinOS/2 driver'
start '/win wininst' ' i ichsndw.drv'

Say 'Creating SoundMax Audio folder'
If SysCreateObject("WPFolder", "SoundMax Audio", "<WP_DESKTOP>",,
                   "OBJECTID=<ICHAUDIO>") 
Then Do
 If SysCreateObject("WPProgram", "WarpMix", "<ICHAUDIO>",,
                    "PROGTYPE=PM;OBJECTID=<WARPMIX>;ICONFILE=WARPMIX.ICO;EXENAME="||bootDrive||"\MMOS2\WARPMIX.EXE")  
  Then Say 'SoundMax Audio folder and WarpMix object have been created'
  Else Say 'Could not create WarpMix object'
End
Else Say 'Could not create SoundMax Audio folder'           

Say 'Adding Warpmix to Startup folder'
If SysCreateObject("WPProgram", "WarpMix", "<WP_START>",,
                   "PROGTYPE=PM;OBJECTID=<WARPMIXSTRT>;ICONFILE=WARPMIX.ICO;EXENAME="||bootDrive||"\MMOS2\WARPMIX.EXE;PARAMETERS=restoremix")  
Then Say 'Warpmix has been added to the Startup folder'
Else Say 'Could not add Warpmix to the Startup folder'

/* clean up */
rc = SysFileDelete(targetrsp)
rc = SysRmDir(targetdir)

Say 'SoundMax Integrated Digital Audio MMPM/2 drivers successfully installed'
Say 'Please shutdown OS/2 and reboot to use the SoundMax Audio driver'

Exit 0